Bug 458376 - The -d and -p options to /usr/bin/rsvg are not effective
The -d and -p options to /usr/bin/rsvg are not effective
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: librsvg2 (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-07 17:06 EDT by Penelope Fudd
Modified: 2009-01-09 01:42 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:42:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Sample SVG file; the text is fuzzy when printed at the default resolution. (17.79 KB, image/svg+xml)
2008-08-07 17:06 EDT, Penelope Fudd
no flags Details

  None (edit)
Description Penelope Fudd 2008-08-07 17:06:08 EDT
Created attachment 313748 [details]
Sample SVG file; the text is fuzzy when printed at the default resolution.

Description of problem:
I'm using rsvg to convert SVG files to PNG files.  The default resolution is still fuzzy, so I attempted to use 'rsvg -d 300 -p 300 input.svg output.png' to fix it.

Version-Release number of selected component (if applicable):
librsvg2-2.18.2-2.fc8.i386.rpm

How reproducible:
Always

Steps to Reproduce:
1. Create an SVG file
2. Type: rsvg in.svg out.png
3. Type: rsvg -d 300 -p 300 in.svg out2.png
4. Type: rsvg -d 300 in.svg out3.png
5. Type: rsvg -p 300 in.svg out4.png

Actual results:
The png files are all the same size, and 'file *.png' report the same dimensions.

Expected results:
I expected the dimensions to get larger.

Additional info:
I'm loading the SVG in Inkscape and saving as PNG; this works well enough.
Comment 1 Bug Zapper 2008-11-26 06:04:37 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-01-09 01:42:56 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.